Subject: exception from cc1plus.exe
From: [email-masked] (Ulrich Lauther)

15 Jun 1997 09:48:02 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: ELM [version 2.4ME+ PL28s (25)]
Original-Sender: [email-masked]

I have a problem compiling under gnu-win32.b18:

 C:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-2.7.2-970404\cc1plus.exe C:\WINDOWS\TEMP\cc001073.ii -quiet -dumpbase hgraphtest.cc -g -Wall -Wmissing-prototypes -version -frepo -o C:\WINDOWS\TEMP\cc001073.s
GNU C++ version cygnus-2.7.2-970404 (i386-cygwin32) compiled by GNU C version cygnus-2.7.2-970404.
In file included from ../incl/TURBO/hgraph.h:54,
                 from hgraphtest.cpp:2:
.../incl/TURBO/islist.h:45: warning: base class `class slist_base<L>' has a non-virtual destructor
In file included from hgraphtest.cpp:2:
.../incl/TURBO/hgraph.h:160: warning: base class `class slist_base<L>' has a non-virtual destructor
(C:\GNUWIN32\B18\H-I386-CYGWIN32\LIB\GCC-LIB\I386-CYGWIN32\CYGNUS-2.7.2-970404\CC1PLUS.EXE 1075) In cygwin_except_handler

I added an virtual destructor to the class, but still the warning is
issued.
What is worse, cc1plus.exe raises an exeption.

The program compiles fine with gcc 2.7.2.1 under Solaris and Linux.

Is this the right place to report the problem, and should I provide more
material?

All this under Windows 95.

Thanks for any help!

	-ulrich
-- 

----------------------------------------------------------------------------
Ulrich Lauther          ph: +49 89 636 48834 fx: ... 636 42284
Siemens ZT AN 1         Internet: [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".